Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gradle.api.logging
Enum LogLevel

    java.lang.Object
      java.lang.Enum<LogLevel>
          org.gradle.api.logging.LogLevel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LogLevel>

    public enum LogLevel

extends java.lang.Enum<LogLevel>

Enum Constant Summary
`DEBUG`
`ERROR`
`INFO`
`LIFECYCLE`
`PROGRESS`
`QUIET`
`WARN`

Method Summary
`static LogLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LogLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### QUIET

    public static final LogLevel QUIET

### PROGRESS

    public static final LogLevel PROGRESS

### LIFECYCLE

    public static final LogLevel LIFECYCLE

### INFO

    public static final LogLevel INFO

### DEBUG

    public static final LogLevel DEBUG

### WARN

    public static final LogLevel WARN

### ERROR

    public static final LogLevel ERROR

Method Detail

### values

    public static LogLevel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LogLevel c : LogLevel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LogLevel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD